import t, { useContext as n } from "react";
import "./index.mjs";
import e from "../empty/index.mjs";
import { ConfigContext as m } from "./context.mjs";
const o = (a) => {
  const {
    componentName: r
  } = a, {
    getPrefixCls: s
  } = n(m), c = s("empty");
  switch (r) {
    case "Table":
    case "List":
      return /* @__PURE__ */ t.createElement(e, {
        image: e.PRESENTED_IMAGE_SIMPLE
      });
    case "Select":
    case "TreeSelect":
    case "Cascader":
    case "Transfer":
    case "Mentions":
      return /* @__PURE__ */ t.createElement(e, {
        image: e.PRESENTED_IMAGE_SIMPLE,
        className: `${c}-small`
      });
    default:
      return /* @__PURE__ */ t.createElement(e, null);
  }
}, p = o;
export {
  p as default
};
